package de.jottyfan.minecraft.quickiefabric.init;

import net.fabricmc.fabric.api.loot.v1.FabricLootPoolBuilder;
import net.minecraft.item.Item;
import net.minecraft.loot.condition.RandomChanceLootCondition;
import net.minecraft.loot.entry.ItemEntry;
import net.minecraft.loot.provider.number.ConstantLootNumberProvider;

/**
 * 
 * @author jotty
 *
 */
public class LootHelper {

	/**
	 * create a loot pool builder of the given object
	 * 
	 * @return the loot pool builder
	 */
	public static final FabricLootPoolBuilder build(Integer number, Item item, float chance) {
		return FabricLootPoolBuilder.builder().rolls(ConstantLootNumberProvider.create(number))
				.withCondition(RandomChanceLootCondition.builder(chance).build())
				.withEntry(ItemEntry.builder(item).build());
	}
}
